<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetLoggedInUser Method (IEdmUserMgr5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserMgr5 Interface : GetLoggedInUser Method (IEdmUserMgr5)

Visual Basic
C#
C++/CLI
Gets the user currently running this program in the vault.

# Syntax

Visual Basic |
--- | ---

    Function GetLoggedInUser() As IEdmUser5

C# |
--- | ---

    IEdmUser5 GetLoggedInUser()

C++/CLI |
--- | ---

    IEdmUser5^ GetLoggedInUser();

#### Return Value

IEdmUser5; current user

# Example

Get Messages (C#)
Get Messages (VB.NET)

# Remarks

This method returns the IEdmUser5 interface of the user currently logged in on the IEdmVault5 object from which this IEdmUserMgr5 interface is retrieved. IEdmUserMgr5::GetFirstLoggedInUserPosition and IEdmUserMgr5::GetNextLoggedInUser return information about all users currently logged in to the vault.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_NOT_LOGGED_IN: Neither IEdmVault5::Login nor IEdmVault5::LoginAuto has been called.

# See Also

####

IEdmUserMgr5 Interface
IEdmUserMgr5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2